complexType "PositionUpdate"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 4 elements
Defined: | globally in fpml-reporting-5-5.xsd; see XML source
Includes: | definitions of 4 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | timestamp?, type, reason?, position
</...>

Content Model Elements (4):

  position (in positionUpdate), reason (in positionUpdate), | timestamp (in positionUpdate), type (in positionUpdate)

All Direct / Indirect Based Elements (1):

  positionUpdate

Known Usage Locations

- As direct type of elements (1):
  positionUpdate

Annotation
A type that allows a position to be defined. It includes identification information (ID and version), trade information, etc.
XML Source (w/o annotations (5); see within schema source)

<xsd:complexType name="PositionUpdate"> <xsd:sequence> <xsd:element minOccurs="0" name="timestamp" type="xsd:dateTime"/> <xsd:element name="type" type="UpdateTypeEnum"/> <xsd:element minOccurs="0" name="reason" type="PositionUpdateReason"/> <xsd:element name="position" type="Position"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 4/4)
position

  Type: | Position, complex content

  The affected position.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="position" type="Position"/>

reason

  Type: | PositionUpdateReason, complex content

  Allows information about reason for the update to be record.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="reason" type="PositionUpdateReason"/>

timestamp

  Type: | xsd:dateTime, predefined, simple content

  Records when the update occurred.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="timestamp" type="xsd:dateTime"/>

type

  Type: | UpdateTypeEnum, simple content

  Records the type of update that occurred (created, modified, deleted).
  Simple Content

  enumeration of xsd:token

  Enumeration: |
  "Created" | - | The item is newly created since the last instance of this report. See: http://www.FpML.org
  "Modified" | - | The item has been updated since the last instance of this report. See: http://www.FpML.org
  "Deleted" | - | The item has been removed since the last version of this report. See: http://www.FpML.org

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="type" type="UpdateTypeEnum"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.